
[IDE] cmd640.c: fix PCI type1 access

Revert wrong changes introduced in 2.4.21.

From: Stefan Talpalaru <stefantalpalaru@yahoo.com>,
      Ingo Kilian <ikilian@web.de>.

 drivers/ide/pci/cmd640.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/ide/pci/cmd640.c~ide-cmd640-pci1 drivers/ide/pci/cmd640.c
--- linux-2.6.0-test11/drivers/ide/pci/cmd640.c~ide-cmd640-pci1	2003-12-07 23:33:36.173751648 +0100
+++ linux-2.6.0-test11-root/drivers/ide/pci/cmd640.c	2003-12-07 23:36:13.160885976 +0100
@@ -213,13 +213,13 @@ static unsigned int cmd640_chip_version;
 
 static void put_cmd640_reg_pci1 (u16 reg, u8 val)
 {
-	outb_p((reg & 0xfc) | cmd640_key, 0xcf8);
+	outl_p((reg & 0xfc) | cmd640_key, 0xcf8);
 	outb_p(val, (reg & 3) | 0xcfc);
 }
 
 static u8 get_cmd640_reg_pci1 (u16 reg)
 {
-	outb_p((reg & 0xfc) | cmd640_key, 0xcf8);
+	outl_p((reg & 0xfc) | cmd640_key, 0xcf8);
 	return inb_p((reg & 3) | 0xcfc);
 }
 

_
